
<script>
	import { supabase } from "$lib/supabaseClient";
    import { getUname } from "$lib/vienas";
	import { onMount } from "svelte";

    async function lodUser(){
        return getUname(await supabase.auth.getUser().then(({data,error})=>{console.log(data.user.id);return data.user.id}))
    }

    let res = lodUser();
    let username;
    let err;

    let keisti= async () =>{
        let {data,error} = await supabase.from('profilai').update({ username: username }).eq('id',await supabase.auth.getUser().then(({data,error})=>{console.log(data.user.id);return data.user.id})).then((i)=>{console.log(i);return i});
        if (!error){
            username = ''
        }else{
        err = error;
        }
    }
    let keistiPav= async () =>{
        let {data,error} = await supabase.from('profilai').update({pav: username }).eq('id',await supabase.auth.getUser().then(({data,error})=>{console.log(data.user.id);return data.user.id})).then((i)=>{console.log(i);return i});
        if (!error){
            username = ''
        }else{
        err = error;
        }
    }

</script>

<div class="mx-4 mb-8">
    <label class="mb-4">Keisti varda</label>
    {#await res}
    <input class="rounded-md disabled block p-3 mb-2 w-full border-2 border-gray-600" placeholder="vardas.xxx">
    {:then usernameC}
    <input class="rounded-md block p-3 mb-2 w-full border-2 border-blue-600" bind:value={username} placeholder={usernameC}>
    <button class="rounded-md bg-blue-800 hover:bg-blue-900 text-white p-3 w-full" on:click={keisti}>Keisti</button>
    {:catch error}
    <p class="text-red">Kažkas netaip</p>
    {/await}
</div>
<div class="mx-4">
    <label class="mb-4">Keisti paveiksla</label>
    <input class="rounded-full  block p-3 mb-2 w-20 h-20 bg-blue-600" type="file">
    <button class="rounded-md bg-blue-800 hover:bg-blue-900 text-white p-3 w-full" on:click={keistiPav}>Keisti</button>
</div>